%global _phpautoload_dir        %{_datadir}/php
%global _phpautoload_files_dir  %{_phpautoload_dir}/autoload.d

Name:           php-autoload
Version:        0.1.2
Release:        %{autorelease}
Summary:        An autoloader for PHP classes

License:        MIT
URL:            https://pagure.io/%{name}

# php-autoload sources
Source0:        autoload.php
Source1:        Autoloader.php
Source9:        README.md

# php-autoload-rpm-macros sources
Source10:       %{name}.macros
Source19:       README.rpm-macros.md

# php-autoload-composer2rpm sources
Source20:       composer2rpm
Source29:       composer2rpm.1

# development/packaging files
Source80:       Makefile
Source81:       CONTRIBUTING.md

# license file
Source99:       LICENSE

BuildArch:      noarch

Requires:       php(language) >= 8.0

%description
An autoloader for PHP classes installed wihtin the `%{_phpautoload_dir}` directory.
To use this simply require `%{_phpautoload_dir}/autoload.php`.


%package rpm-macros
Summary:        RPM macros for building PHP RPM packages
Requires:       %{name} >= %{version}-%{release}

%description rpm-macros
%{summary}.


%package composer2rpm
Summary:        A utility for generating an RPM spec for composer packages
Requires:       %{name}-rpm-macros >= %{version}-%{release}
Requires:       composer >= 2.0
Provides:       composer2rpm = %{version}-%{release}

%description composer2rpm
%{summary}.


%prep
%{__install} -pDm 0644 %{SOURCE9} README.md
%{__install} -pDm 0644 %{SOURCE19} README.rpm-macros.md
%{__install} -pDm 0644 %{SOURCE99} LICENSE


%build
: nothing to build


%install
%{__install} -pDm 0644 %{SOURCE0} %{buildroot}%{_phpautoload_dir}/autoload.php
%{__install} -pDm 0644 %{SOURCE1} %{buildroot}%{_phpautoload_dir}/Autoloader.php
%{__install} -dDm 0755 %{buildroot}%{_phpautoload_files_dir}

%{__install} -pDm 0644 %{SOURCE10} %{buildroot}%{_rpmmacrodir}/macros.%{name}

%{__install} -pDm 0755 %{SOURCE20} %{buildroot}%{_bindir}/composer2rpm
%{__install} -pDm 0644 %{SOURCE29} %{buildroot}%{_mandir}/man1/composer2rpm.1


%files
%license LICENSE
%doc README.md
%dir %{_phpautoload_files_dir}
%{_phpautoload_dir}/autoload.php
%{_phpautoload_dir}/Autoloader.php


%files rpm-macros
%doc README.rpm-macros.md
%{_rpmmacrodir}/macros.%{name}


%files composer2rpm
%{_bindir}/composer2rpm
%{_mandir}/man1/composer2rpm.1*


%changelog
%{autochangelog}
